Bug 1525222 (CVE-2017-15128)

Summary: CVE-2017-15128 kernel: Out of bound access in hugetlb_mcopy_atomic_pte function in mm/hugetlb.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, airlied, ajax, aquini, bhu, blc, bskeggs, carnil, dhoward, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, skozina, slawomir, steved, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20171208,reported=20171108,source=internet,cvss3=4.7/CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-119,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=affected,rhel-7/kernel-rt=affected,rhel-alt-7/kernel-alt=notaffected,mrg-2/realtime-kernel=affected,rhel-8/kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel where a local user with a shell account can abuse the userfaultfd syscall when using hugetlbfs. A missing size check in hugetlb_mcopy_atomic_pte could create an invalid inode variable, leading to a kernel panic.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1545043, 1545044    
Bug Blocks: 1518303    

Description Pedro Sampaio 2017-12-12 20:06:23 UTC
A flaw was found in Linux kernel. A lack of size check in hugetlb_mcopy_atomic_pte could cause denial of service.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=1e3921471354244f70fe268586ff94a97a6dd4df

References:

https://marc.info/?l=linux-mm&m=150819356125109

Comment 1 Salvatore Bonaccorso 2018-01-08 19:47:50 UTC
Hi Pedro,

The link referenced is not accessible, is this issue https://marc.info/?l=linux-mm&m=150819356125109 and fixed with upstream 1e3921471354244f70fe268586ff94a97a6dd4df ?

Regards,
Salvatore

Comment 2 Pedro Sampaio 2018-01-08 20:12:52 UTC
Hi Salvatore,

Yes, I believe so. I didn't realize the link wasn't public.

Thanks.

Comment 3 Salvatore Bonaccorso 2018-01-10 19:47:01 UTC
Hi Pedro,

Many thanks for confirming!

Regards,
Salvatore

Comment 8 Eric Christensen 2018-01-23 15:32:04 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6 and kernel-alt.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7, realtime and MRG-2. Future Linux kernel updates for the respective releases may address this issue.

Comment 11 Wade Mealing 2018-02-14 06:45:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1545043]

Comment 12 Wade Mealing 2018-02-14 06:45:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1545044]

Comment 13 Justin M. Forbes 2018-02-14 14:42:14 UTC
This was fixed for Fedora with the 4.13.12 stable updates.